Subject: Re: bug#38139: Fwd: Likely bug: generating tags with Emacs Lisp sources present

From: Luca Saiu <[email-masked]>
Date: Sun, 10 Nov 2019 14:17:02 +0100

Hello Karl, and thanks for investigating the problem.

On 2019-11-09 at 15:10 -0700, Karl Berry wrote:

> If you can easily make a minimal Makefile.am that exhibits the
> problem, that would be great.

Of course.  I put together a minimal set of files to exhibit the
problem.  Notice that some file in AC_CONFIG_HEADERS is required to
trigger it.

Here is configure.ac:
--8<---------------cut here---------------start------------->8---
AC_INIT([testcase], [1.0])
AC_CONFIG_HEADERS([config.h])
AM_INIT_AUTOMAKE
AM_PATH_LISPDIR
AC_CONFIG_FILES([Makefile])
AC_OUTPUT
--8<---------------cut here---------------end--------------->8---

And this is Makefile.am:
--8<---------------cut here---------------start------------->8---
lisp_LISP = the-emacs-mode.el
--8<---------------cut here---------------end--------------->8---

I am attaching a tarball with the two trivial scripts I used.

When preparing this test case on this I noticed a difference in behavior
between lisp_LISP and lisp_DATA , which also allows to work around the
bug: using lisp_DATA rather than lisp_LISP prevents the misbehavior.

I would say that the bug is still there: in either case the generated
definition for am__tagged_files clearly lacks a space separator.

With the provided files,
  make
,
  make install
and every other target I have tested work correctly, except
  make tags
which fails with:
make: *** No rule to make target 'the-emacs-mode.elconfig.h.in', needed by 'tags-am'.  Stop.

Best regards,

-- 
Luca Saiu
* My personal web site:  http://ageinghacker.net
* GNU epsilon:           http://www.gnu.org/software/epsilon
* Jitter:                http://ageinghacker.net/projects/jitter

I support everyone's freedom of mocking any opinion or belief, no
matter how deeply held, with open disrespect and the same unrelented
enthusiasm of a toddler who has just learned the word "poo".